
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class GridFrame extends JFrame
{
    private JTextField data;
    private JButton click;
    private JTextArea output;
    private JButton convert;

    public GridFrame()
    {
       data = new JTextField( 10 );
       click = new JButton( "Display" );
       output = new JTextArea( 5, 20 );
       convert = new JButton( "Convert" );
       
       Container c = this.getContentPane();
       c.setLayout( new GridLayout(3,2) );
       c.add( new JLabel( "Type data in Text Field" ) );
       c.add( data );
       c.add( click );
       c.add( convert );
       c.add( new JLabel( "Results" ) );
       c.add( output );
       
       createListeners();
    }

    private void createListeners()
    {
       class ClickListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
             String s = data.getText();
             output.setText( s + "\n" + s );
          }
       }
       click.addActionListener( new ClickListener() );

       class ConvertListener implements ActionListener
       {
          public void actionPerformed( ActionEvent ae )
          {
             String s = data.getText();
             int dollars = Integer.parseInt(s);
             int pesos = dollars*50;
             output.setText( "Peso Conversion:" + pesos );
          }
       }
       convert.addActionListener( new ConvertListener() );    }
}
